#
# spec file for package python-South
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-South
Version:        1.0.2
Release:        1.1
Url:            http://south.aeracode.org/
Summary:        South: Migrations for Django
License:        Apache-2.0
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/S/South/South-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-django
Provides:       python-django-south = %{version}
Obsoletes:      python-django-south < %{version}
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
South is an intelligent database migrations library for the Django web framework.
It is database-independent and DVCS-friendly, as well as a whole host of other features.

%prep
%setup -q -n South-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc README
%{python_sitelib}/*

%changelog
* Wed Apr 22 2015 mcihar@suse.cz
- Update to 1.0.2:
  * Python 3 compatability has been fixed (it was broken in 1.0 by an accidental introduction of iteritems())
  * South will explicitly error if it detects Django 1.7 or above rather than failing with cryptic errors.
  * Fix discovery of south_migrations directory during testing.
* Wed Jul 23 2014 mcihar@suse.cz
- Update to version 1.0:
  + Last release to support migration to Django native migrations
* Thu Mar 13 2014 mcihar@suse.cz
- Update to version 0.8.4
  + Django 1.6 compatibility
  + Timezone-aware DateTimeFields no longer issue warnings
  + Fixture loading issues fixed
  + Various database backend related issues fixed
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Sep 25 2013 p.drouand@gmail.com
- Update to version 0.8.2
  + An issue with SQLite and default values that caused some migrations
    to fail has been fixed
  + South now recognises more Django MSSQL backends, and no longer fails
    to alter ForeignKeys that are in composite indexes
  + A small issue with the app cache on Django 1.6 has been fixed
  + The schemamigration and datamigration commands can now be properly
    inherited and their templates easily changed
* Sat Aug  4 2012 alexandre@exatati.com.br
- Update to 0.7.6:
  - There is now a new --update switch, which you can use with
    schemamigration to merge updates you've just done into your
    most recent migration and then reverse and re-apply that
    migration to the database.
  - Note that this will only work with migrations that aren't yet
    committed into a VCS - once that occurs, you should create a
    new migration rather than running --update on the current one.
* Wed May 23 2012 saschpe@suse.de
- Update to version 0.7.5:
  + Single-column indexes should now be named the same as if they
    were created using syncdb
  + UUID default values now work correctly on the PostgreSQL backend.
  + Transactions now use the correct database in a multi-db setup -
    previously, they were sometimes using the default database instead
    of another configured one.
  + Deletion of self-referencing ForeignKeys is now possible again.
  + A bug with ignoring changes to unmanaged models has been fixed,
    so they are now ignored properly.
  + A few minor fixes, including the ability to change TextFields to
    CharFields and vice-versa on the Oracle backend.
  + Other fixes
* Wed Mar 28 2012 saschpe@gmx.de
- Initial version
